<script setup lang="ts">
const { data: session } = useAuth();

function generateURL(path) {
  let location = window.location.host;
  if (location === "localhost:3000") {
    location = "localhost:8000";
  }
  return `${window.location.protocol}//${location}/${path}`;
}
</script>

<template>
  <div class="pa-4">
    <v-sheet class="me-auto" style="overflow: hidden; white-space: nowrap; text-overflow: ellipsis">
      <h1>{{ $t("my_account") }}</h1>
    </v-sheet>
    <hr class="mb-3">
    <v-sheet class="d-flex align-center pa-1">
      <div class="d-flex me-auto align-center">
        <img
          :src="getGravatar(session?.user?.email, 60)"
          alt=""
          style="border-radius: 50%; margin: 0; padding: 0"
          class="me-3"
        >
        <div id="username">
          {{ session?.user?.name }} <br>
          <pre>@{{ session?.user?.username }}</pre>
        </div>
      </div>
      <v-btn
        size="small"
        :href="generateURL('accounts/profile/')"
        target="_blank"
      >
        {{ $t("manage_my_account") }}
      </v-btn>
    </v-sheet>
    <br>
    <h3>Email</h3>
    <p>{{ session?.user?.email }}</p>
  </div>
</template>

<style></style>
